use warnings;
use strict;

package Google::Merchant::Util;
use base 'Exporter';

use Log::Report 'google-merchant';

my @ns10    = qw/NS_GOOGLE_BASE10 NS_GOOGLE_CUSTOM10 NS_ATOM_2005/;

our @EXPORT = (@ns10);

our %EXPORT_TAGS =
  ( ns10 => \@ns10
  );

=chapter NAME

Google::Merchant::Util - helpers for Google::Merchant

=chapter SYNOPSIS

  use Google::Merchant::Util ':ns';

=chapter DESCRIPTION

Provide some additional tools and constants to programs which use
M<Google::Merchant>.

For now, there is only very little here, but that may grow over time.

=chapter FUNCTIONS

=section Export tag :ns10
Exports namespace constants which are useful in the Google-base v1.0
context: NS_GOOGLE_BASE10 and NS_GOOGLE_CUSTOM10.
=cut

use constant
 { NS_GOOGLE_BASE10   => 'http://base.google.com/ns/1.0'
 , NS_GOOGLE_CUSTOM10 => 'http://base.google.com/cns/1.0'
 , NS_ATOM_2005       => 'http://www.w3.org/2005/Atom'
 };
